ICE Gateway

7.18.25.18

Released: Dec 13, 2017 File Size: 0
Package Contents:
No notes available.

Important Notes

ICE Gateway 7.18.25 is released to support functionality implemented for MiFID II, which comes into force on January 3, 2018.

Why Should I Upgrade?

ICE Gateway 7.18.25 is released to support functionality implemented for MiFID II. ICE does not require that MiFID II values be sent until January 3, 2018, however customers may begin sending these values when ready to do so.

IMPORTANT NOTE: Per ICE, GTC Orders without valid MiFID data will be removed from the system on January 3rd, however any GTC/GTDate orders that have valid MiFID data will be retained on the exchange. Customers with existing GTC/GTDate orders which they want to persist past January 3rd should send a Cancel/Replace with the MiFID values configured. New GTC/GTDate orders should be submitted with valid MiFID II values if they will persist past January 3.

All customers must upgrade their ICE Gateways prior to January 3.

For details on MiFID related updates, including Customer Defaults and Algo Defaults, please refer to X_TRADER® Support for MiFID II

This release also introduces support for Duplicate Order Check functionality, which may be enabled via TT User Setup. When enabled, This check triggers an order rejection for an order with the same instrument and price as another order submitted on the same account/account group that has exceeded the configurable threshold of duplicate orders allowed over a rolling window of 1 second. Additional details on this functionality may be found Here.

System Requirements

ICE Gateway 7.18.25 is released to support functionality implemented for MiFID II. ICE does not require that MiFID II values be sent until January 3, 2018, however customers may begin sending these values when ready to do so.

IMPORTANT NOTE: Per ICE, GTC Orders without valid MiFID data will be removed from the system on January 3rd, however any GTC/GTDate orders that have valid MiFID data will be retained on the exchange. Customers with existing GTC/GTDate orders which they want to persist past January 3rd should send a Cancel/Replace with the MiFID values configured. New GTC/GTDate orders should be submitted with valid MiFID II values if they will persist past January 3.

All customers must upgrade their ICE Gateways prior to January 3.

For details on MiFID related updates, including Customer Defaults and Algo Defaults, please refer to X_TRADER® Support for MiFID II

This release also introduces support for Duplicate Order Check functionality, which may be enabled via TT User Setup. When enabled, This check triggers an order rejection for an order with the same instrument and price as another order submitted on the same account/account group that has exceeded the configurable threshold of duplicate orders allowed over a rolling window of 1 second. Additional details on this functionality may be found Here.

Installation Notes

Values required when submitting orders to ICE for MiFID II compliance may now be set in Customer Defaults using X_TRADER® 7.17.80 and TT User Setup 7.17.84. For details on configuring the appropriate values in Customer Defaults, please refer to X_TRADER® Support for MiFID II

IMPORTANT NOTE: ICE does not require that an MiFID II values be sent on orders in production until January 3, therefore no default values are being sent by the gateway. As of January 3, customers must populate these fields as required by the exchange.

Full details on required fields by exchange may be found Here.

Enhancements

  1. Gateway
    1. Support new tags introduced for MiFID II (Ref 233381)

  2. Order Server
    1. Added support for duplicate order rejection. User Setup administrators can now prevent more than a specified number of duplicate orders from being executed within a single rolling second, on a specified Gateway flavor. (Ref 234070)

Fixes

Known Issues